---
apiVersion: discovery.k8s.io/v1beta1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.0.94.219
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: etcd-master-2.case03116926.lab.upshift.rdu2.redhat.com
      namespace: openshift-etcd
      resourceVersion: "18117"
      uid: 84b92b9a-14e4-4f08-b883-1a31f1b707c3
    topology:
      kubernetes.io/hostname: master-2.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.0.94.119
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: etcd-master-0.case03116926.lab.upshift.rdu2.redhat.com
      namespace: openshift-etcd
      resourceVersion: "19011"
      uid: ac935181-95b3-4fdb-b193-c153a53b7101
    topology:
      kubernetes.io/hostname: master-0.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.0.95.76
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: etcd-master-1.case03116926.lab.upshift.rdu2.redhat.com
      namespace: openshift-etcd
      resourceVersion: "20552"
      uid: 282c811f-7994-453a-9c2e-2f2cc78571b8
    topology:
      kubernetes.io/hostname: master-1.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:47:44Z"
    creationTimestamp: "2022-03-08T10:13:28Z"
    generateName: etcd-
    generation: 19
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: etcd
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"0cc2c282-3ba9-4dc4-ba57-3a5ce9d801c5"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:47:35Z"
    name: etcd-xm2pn
    namespace: openshift-etcd
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: etcd
      uid: 0cc2c282-3ba9-4dc4-ba57-3a5ce9d801c5
    resourceVersion: "20556"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-etcd/endpointslices/etcd-xm2pn
    uid: c7a7cdce-d7ec-4b3e-ac3a-09f30f3754a8
  ports:
  - name: etcd-metrics
    port: 9979
    protocol: TCP
  - name: etcd
    port: 2379
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.0.94.219
    conditions:
      ready: true
    topology:
      kubernetes.io/hostname: master-2.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.0.94.119
    conditions:
      ready: true
    topology:
      kubernetes.io/hostname: master-0.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.0.95.76
    conditions:
      ready: true
    topology:
      kubernetes.io/hostname: master-1.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      alpha.installer.openshift.io/etcd-bootstrap: 10.0.89.186
    creationTimestamp: "2022-03-08T10:38:45Z"
    generateName: host-etcd-2-
    generation: 1
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslicemirroring-controller.k8s.io
      kubernetes.io/service-name: host-etcd-2
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:alpha.installer.openshift.io/etcd-bootstrap: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"2199c397-f278-496a-bde1-5d16e9abba5d"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:38:45Z"
    name: host-etcd-2-rp6r7
    namespace: openshift-etcd
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Endpoints
      name: host-etcd-2
      uid: 2199c397-f278-496a-bde1-5d16e9abba5d
    resourceVersion: "5951"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-etcd/endpointslices/host-etcd-2-rp6r7
    uid: a0382706-ac02-4bb1-86dd-00fc31929a57
  ports:
  - name: etcd
    port: 2379
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "83554"
  selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-etcd/endpointslices
